Re: [fltk.general] trying to emulate tab_nav(1)

GitHub FLTK Project   FLTK News RSS Feed  
  FLTK Apps      FLTK Library      Forums      Links     Login 
 All Forums  |  Back to fltk.general  ]
 
Previous Message ]New Message | Reply ]Next Message ]

Re: trying to emulate tab_nav(1) Albrecht Schlosser 10:26 May 05 top right image
 
On 5/5/21 11:08 AM Dave Jordan wrote:

notes->tab_nav(1);                                       // compiler error no such member (ABI version too old I think).

Others replied already to other details, hence I'm only picking the ABI version issue.

Are you building FLTK yourself? If not, well, then probably yes, the default ABI version is 10300 for FLTK 1.3.

However, if you build FLTK yourself you can use configure or CMake to define another ABI version. tab_nav() needs 10304 at least.

See README.abi-version.txt and if you have questions, feel free to ask here again.

--
You received this message because you are subscribed to the Google Groups "fltk.general" group.
To unsubscribe from this group and stop receiving emails from it, send an email to fltkgeneral+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/fltkgeneral/c677d7ef-9d10-3624-f397-c85c12e7ea6e%40online.de.
Direct Link to Message ]
 
bottom left image   bottom right image
Previous Message ]New Message | Reply ]Next Message ]
 
 

Comments are owned by the poster. All other content is copyright 1998-2021 by Bill Spitzak and others. This project is hosted by The FLTK Team. Please report site problems to 'erco@seriss.com'.